#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#from scribe import backend
from scribe import eolegroup
print()
print("Vérification des listes de diffusion")
print()
grp = eolegroup.Group()
for group in grp.get_groups():
    liste = grp.get_maillist(group)
    if liste:
        if "@i-" in liste:
            domaine = 'restreint'
        else:
            domaine = 'internet'
        print("Liste du groupe %s..." % group)
        typ = grp.get_attr(group, 'type')[0]
        if typ == 'Base':
            typ = 'Groupe'
        grp.add_maillist(typ, group, domaine)
print()
print('Vous pouvez lancer le script "regenalias.sh" pour corriger les alias du serveur SMTP')
print()
